#include "WindowsTypes.inc"

#define CCHDEVICENAME	32
#define CCHFORMNAME		32

struct SCREEN_COORDS
{
	unsigned int x;
	unsigned int y;
}

Struct DEVMODE
{
    CHAR	dmDeviceName[CCHDEVICENAME];
    WORD	dmSpecVersion;
    WORD	dmDriverVersion;
    WORD	dmSize;
    WORD	dmDriverExtra;
    DWORD	dmFields;
    SHORT	dmOrientation;
    SHORT	dmPaperSize;
    SHORT	dmPaperLength;
    SHORT	dmPaperWidth;
    SHORT	dmScale;
    SHORT	dmCopies;
    SHORT	dmDefaultSource;
    SHORT	dmPrintQuality;
    SHORT	dmColor;
    SHORT	dmDuplex;
    SHORT	dmYResolution;
    SHORT	dmTTOption;
    SHORT	dmCollate;
    CHAR	dmFormName[CCHFORMNAME];
    WORD	dmLogPixels;
    DWORD	dmBitsPerPel;
    DWORD	dmPelsWidth;
    DWORD	dmPelsHeight;
    DWORD	dmDisplayFlags;
    DWORD	dmDisplayFrequency;
    DWORD	dmICMMethod;
    DWORD	dmICMIntent;
    DWORD	dmMediaType;
    DWORD	dmDitherType;
    DWORD	dmReserved1;
    DWORD	dmReserved2;
}

class CDesktop
{
	//Properties
	DEVMODE Info;

	//Methods
	declare CDesktop();
	declare GetWidth(), int;
	declare GetHeight(), int;
	declare GetBitDepth(), int;
	declare GetFrequency(), int;
}